6.0
MEDIUM
CVE-2024-6104
Go-Retryablehttp HTTP Basic Auth Credentials Log Injection Vulnerability
Description

go-retryablehttp prior to 0.7.7 did not sanitize urls when writing them to its log file. This could lead to go-retryablehttp writing sensitive HTTP basic auth credentials to its log file. This vulnerability, CVE-2024-6104, was fixed in go-retryablehttp 0.7.7.

INFO

Published Date :

June 24, 2024, 5:15 p.m.

Last Modified :

June 26, 2024, 5:19 p.m.

Remotely Exploitable :

No

Impact Score :

4.0

Exploitability Score :

1.5
Public PoC/Exploit Available at Github

CVE-2024-6104 has a 1 public PoC/Exploit available at Github. Go to the Public Exploits tab to see the list.

Affected Products

The following products are affected by CVE-2024-6104 vulnerability. Even if cvefeed.io is aware of the exact versions of the products that are affected, the information is not represented in the table below.

ID Vendor Product Action
1 Hashicorp retryablehttp
References to Advisories, Solutions, and Tools

Here, you will find a curated list of external links that provide in-depth information, practical solutions, and valuable tools related to CVE-2024-6104.

URL Resource
https://discuss.hashicorp.com/c/security Vendor Advisory

We scan GitHub repositories to detect new proof-of-concept exploits. Following list is a collection of public exploits and proof-of-concepts, which have been published on GitHub (sorted by the most recently updated).

None

Dockerfile Go

Updated: 1 week, 4 days ago
0 stars 0 fork 0 watcher
Born at : July 10, 2024, 3:05 p.m. This repo has been linked 4 different CVEs too.

Results are limited to the first 15 repositories due to potential performance issues.

The following table lists the changes that have been made to the CVE-2024-6104 vulnerability over time.

Vulnerability history details can be useful for understanding the evolution of a vulnerability, and for identifying the most recent changes that may impact the vulnerability's severity, exploitability, or other characteristics.

  • Initial Analysis by [email protected]

    Jun. 26, 2024

    Action Type Old Value New Value
    Added CVSS V3.1 NIST AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
    Changed Reference Type https://discuss.hashicorp.com/c/security No Types Assigned https://discuss.hashicorp.com/c/security Vendor Advisory
    Added CWE NIST CWE-532
    Added CPE Configuration OR *cpe:2.3:a:hashicorp:retryablehttp:*:*:*:*:*:go:*:* versions up to (excluding) 0.7.7
  • CVE Received by [email protected]

    Jun. 24, 2024

    Action Type Old Value New Value
    Added Description go-retryablehttp prior to 0.7.7 did not sanitize urls when writing them to its log file. This could lead to go-retryablehttp writing sensitive HTTP basic auth credentials to its log file. This vulnerability, CVE-2024-6104, was fixed in go-retryablehttp 0.7.7.
    Added Reference HashiCorp Inc. https://discuss.hashicorp.com/c/security [No types assigned]
    Added CWE HashiCorp Inc. CWE-532
    Added CVSS V3.1 HashiCorp Inc. AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:N/A:N
EPSS is a daily estimate of the probability of exploitation activity being observed over the next 30 days. Following chart shows the EPSS score history of the vulnerability.
CWE - Common Weakness Enumeration

While CVE identifies specific instances of vulnerabilities, CWE categorizes the common flaws or weaknesses that can lead to vulnerabilities. CVE-2024-6104 is associated with the following CWEs:

Common Attack Pattern Enumeration and Classification (CAPEC)

Common Attack Pattern Enumeration and Classification (CAPEC) stores attack patterns, which are descriptions of the common attributes and approaches employed by adversaries to exploit the CVE-2024-6104 weaknesses.

CVSS31 - Vulnerability Scoring System
Attack Vector
Attack Complexity
Privileges Required
User Interaction
Scope
Confidentiality
Integrity
Availability